import router from "./index";
import Setting from "@/setting";
import util from "@/libs/util";

const whiteList = Setting.whiteList // 白名单
router.beforeEach((to, from, next) => {
    document.title = to.path === '/screenShow' || to.path === '/screenShowPro' ? '安徽省绿色食品全产业链数据可视化看板' : Setting.titleSuffix + '-' + to.meta.title
    const role = util.local.get(Setting.tokenKey);
    if (!role && !whiteList.includes(to.path)) {
        next('/login')
    } else if(role && to.path === '/login') {
        next('/station')
    } else {
        next()
    }
});